---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "woodpecker_repository_cron Data Source - terraform-provider-woodpecker"
subcategory: ""
description: |-
  Use this data source to retrieve information about a cron job in a specific repository.
---

# woodpecker_repository_cron (Data Source)

Use this data source to retrieve information about a cron job in a specific repository.

## Example Usage

```terraform
resource "woodpecker_repository" "test_repo" {
  full_name = "Kichiyaki/test-repo"
}

data "woodpecker_repository_secret" "test_secret" {
  repository_id = woodpecker_repository.test_repo.id
  id            = 1
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `id` (Number) the id of the cron job
- `repository_id` (Number) the ID of the repository

### Read-Only

- `branch` (String) the name of the branch (uses default branch if empty)
- `created_at` (Number) date the cron job was created
- `creator_id` (Number) id of user who created the cron job
- `name` (String) the name of the cron job
- `schedule` (String) [cron expression](https://pkg.go.dev/github.com/robfig/cron#hdr-CRON_Expression_Format)
