---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "woodpecker_repository_secret Data Source - terraform-provider-woodpecker"
subcategory: ""
description: |-
  Use this data source to retrieve information about a secret in a specific repository.
---

# woodpecker_repository_secret (Data Source)

Use this data source to retrieve information about a secret in a specific repository.

## Example Usage

```terraform
resource "woodpecker_repository" "test_repo" {
  full_name = "Kichiyaki/test-repo"
}

data "woodpecker_repository_secret" "test_secret" {
  repository_id = woodpecker_repository.test_repo.id
  name          = "secret_name"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `name` (String) the name of the secret
- `repository_id` (Number) the ID of the repository

### Read-Only

- `events` (Set of String) events for which the secret is available (push, tag, pull_request, pull_request_closed, deployment, cron, manual, release)
- `id` (Number) the secret's id
- `images` (Set of String) list of Docker images for which this secret is available
