---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "woodpecker_user Data Source - terraform-provider-woodpecker"
subcategory: ""
description: |-
  Use this data source to retrieve information about a user.
---

# woodpecker_user (Data Source)

Use this data source to retrieve information about a user.

## Example Usage

```terraform
# Retrieve information about the currently authenticated user.
data "woodpecker_user" "current" {
  login = ""
}

# Retrieve information about a user.
data "woodpecker_user" "user" {
  login = "user"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `login` (String) The user's login. Use an empty string "" to retrieve information about the currently authenticated user.

### Read-Only

- `avatar_url` (String) the user's avatar URL
- `email` (String) the user's email
- `id` (Number) the user's id
- `is_active` (Boolean) whether user is active in the system
- `is_admin` (Boolean) whether user is an admin
