---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "woodpecker_repository_registry Resource - terraform-provider-woodpecker"
subcategory: ""
description: |-
  This resource allows you to add/remove container registries for specific repositories. When applied, a new registry will be created. When destroyed, that registry will be removed. For more information see the Woodpecker docs https://woodpecker-ci.org/docs/usage/registries.
---

# woodpecker_repository_registry (Resource)

This resource allows you to add/remove container registries for specific repositories. When applied, a new registry will be created. When destroyed, that registry will be removed. For more information see [the Woodpecker docs](https://woodpecker-ci.org/docs/usage/registries).

## Example Usage

```terraform
resource "woodpecker_repository" "test_repo" {
  full_name  = "Kichiyaki/test-repo"
  is_trusted = true
  visibility = "public"
}

resource "woodpecker_repository_secret" "test" {
  repository_id = woodpecker_repository.test_repo.id
  address       = "docker.io"
  username      = "test"
  password      = "test"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `address` (String) the address of the registry (e.g. docker.io)
- `password` (String, Sensitive) password used for authentication
- `repository_id` (Number) the ID of the repository
- `username` (String) username used for authentication

### Read-Only

- `id` (Number) the id of the registry

## Import

Import is supported using the following syntax:

```shell
terraform import woodpecker_repository_registry.test "<repository_id>/<address>"
```
