---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "woodpecker_user Resource - terraform-provider-woodpecker"
subcategory: ""
description: |-
  Provides a user resource.
  This resource allows you to add/remove users. When applied, a new user will be created. When destroyed, that user will be removed.
---

# woodpecker_user (Resource)

Provides a user resource.


This resource allows you to add/remove users. When applied, a new user will be created. When destroyed, that user will be removed.

## Example Usage

```terraform
# Create a user
resource "woodpecker_user" "test" {
  login = "test"
  email = "test@localhost"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `login` (String) the name of the user

### Optional

- `avatar_url` (String) the user's avatar URL
- `email` (String) the email of the user
- `is_admin` (Boolean) whether user is an admin

### Read-Only

- `id` (Number) the user's id
- `is_active` (Boolean) whether user is active in the system

## Import

Import is supported using the following syntax:

```shell
terraform import woodpecker_user.test "<login>"
```
